none
Hyper-v R2 中安装windows server 2003 with sp1集成服务报错问题(有图) RRS feed

  • 问题

  • 请问在Hyper-V( windows server 2008 r2 )上安装好虚拟机windows server 2003 with sp1,并开始安装集成服务时,出现下图所示的问题,请问是什么原因造成的,是否通过更新虚拟机的补丁就能解决,还是说需要对hyper-v进行改动?
    2011年10月11日 1:31

答案

  • 这个问题应是常见的问题,也许对这种环境下的情况来看,还挺正常的。

    有时侯,如果你为运行windows 低版本OS的虚拟机安装集成服务时就会出现这样的错误提示,举例来说,windows xpsp3补丁已发较长时间了,而你现在还安装只有sp1windows xp,就会出现这样的问题。对Hyper-V来说,这是正常的,因为它的GUEST OS支持列表可能只列有windows xp with sp3.

     

    当这个现象(问题)发生时,基本上,就是由于guest osservice pack较低造成的,一般情况下,Hyper-V会告诉你什么版本的sp需要安装或受支持(像本例)。这时,你只需要安装相应的service pack就可以,而不需要对Hyper-V进行改动。

    有时,针对这类问题的提示,并不会出现如建议你安装什么版本的SP,这时,你需要去微软官方网站去看看是不是有新的补丁。

    不知我的回复能不能帮到你。


    下里巴人
    2011年10月11日 1:44
    版主

全部回复

  • 这个问题应是常见的问题,也许对这种环境下的情况来看,还挺正常的。

    有时侯,如果你为运行windows 低版本OS的虚拟机安装集成服务时就会出现这样的错误提示,举例来说,windows xpsp3补丁已发较长时间了,而你现在还安装只有sp1windows xp,就会出现这样的问题。对Hyper-V来说,这是正常的,因为它的GUEST OS支持列表可能只列有windows xp with sp3.

     

    当这个现象(问题)发生时,基本上,就是由于guest osservice pack较低造成的,一般情况下,Hyper-V会告诉你什么版本的sp需要安装或受支持(像本例)。这时,你只需要安装相应的service pack就可以,而不需要对Hyper-V进行改动。

    有时,针对这类问题的提示,并不会出现如建议你安装什么版本的SP,这时,你需要去微软官方网站去看看是不是有新的补丁。

    不知我的回复能不能帮到你。


    下里巴人
    2011年10月11日 1:44
    版主
  • 果然和版主说的一样,在安装了SP2补丁之后,集成服务安装正常了。多谢版主的帮助。^_^
    2011年10月11日 2:04